# Crow: crow::session::CachedSession Struct Reference

crow::session::CachedSession Struct Reference

CachedSessions are shared across requests. More...

`#include <session.h>`

## Public Attributes

std::string | session_id
std::string | requested_session_id
std::unordered_map< std::string, multi_value > | entries
std::unordered_set< std::string > | dirty
void * | store_data
bool | requested_refresh
int | referrers
std::recursive_mutex | mutex

## Detailed Description

CachedSessions are shared across requests.

The documentation for this struct was generated from the following file:

- include/crow/middlewares/session.h